summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1997-10-10 21:20:45 +0000
committerJim Meyering <jim@meyering.net>1997-10-10 21:20:45 +0000
commitee9b6aa2e5d98c68a0cd5860c3076e986ff091af (patch)
tree192718cc78cc016256ee0e1f4b87f77f6479703a /tests
parentd7f5a724cac60d7bc80175aa42c2eec5becf9ba1 (diff)
downloadcoreutils-ee9b6aa2e5d98c68a0cd5860c3076e986ff091af.tar.xz
*** empty log message ***
Diffstat (limited to 'tests')
-rwxr-xr-xtests/sort/sort-tests19
1 files changed, 18 insertions, 1 deletions
diff --git a/tests/sort/sort-tests b/tests/sort/sort-tests
index c45a4b8f8..12881a5cc 100755
--- a/tests/sort/sort-tests
+++ b/tests/sort/sort-tests
@@ -1361,8 +1361,25 @@ else
esac
fi
test -s 19b.E || rm -f 19b.E
+$xx $srcdir/20a.I > 20a.O 2> 20a.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test 20a failed: ../../src/sort return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp 20a.O $srcdir/20a.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed 20a"; fi ;;
+ 1) $echo "Test 20a failed: files 20a.O and $srcdir/20a.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test 20a may have failed." 1>&2;
+ $echo The command "cmp 20a.O $srcdir/20a.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s 20a.E || rm -f 20a.E
if test $errors = 0 ; then
- $echo Passed all 79 tests. 1>&2
+ $echo Passed all 80 tests. 1>&2
else
$echo Failed $errors tests. 1>&2
fi